AOWP_PHPMethodElement (AOWP)

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr

aowp.parser.ast.AOWP_PHPMethodElement
/parser/ast/PHPMethodElement.class.php at line 19

# Class AOWP_PHPMethodElement

    AOWP_PHPElement
        └─AOWP_PHPInnerStatementContainerElement
           └─AOWP_PHPMethodElement

public class AOWP_PHPMethodElement
extends AOWP_PHPInnerStatementContainerElement

PHPMethodElement PHPのASTにおける「メソッド」を表すクラス 文法規則: class_statement

Author:
  Ryoto Naruse /

Field Summary
final str | FINAL_MODIFER
final str | PRIVATE_MODIFER
final str | PUBLIC_MODIFER
final str | STATIC_MODIFER
AOWP_Token | $functionName
mixed | $isReference
array | $modifiers 修飾子を表す文字列の配列。
array | $paramaters

Fields inherited from aowp.parser.ast.util.AOWP_PHPInnerStatementContainerElement
innerStatements

Fields inherited from aowp.parser.ast.AOWP_PHPElement
NO_ARRAY, _line, parent, propertyIndex, propertyName

Constructor Summary
AOWP_PHPMethodElement(mixed _line, mixed modifiers, mixed functionName, mixed paramaters)

Method Summary
void | __toString()
void | addModifier(string modifier)
void | getClassName()
string | getMethodName()
array | getModifiers()
void | getParameterCount()
void | getParameterName(mixed parameterIndex)
array | getParameters()
void | kind()
void | removeModifier(string modifier)
void | setMethodName(string methodName)
void | setModifiers(mixed modifierArray, $modifierArray )

Methods inherited from aowp.parser.ast.util.AOWP_PHPInnerStatementContainerElement
getInnerStatements, insertElement, insertElementArray, removeAllElements, removeElement, replaceElement, replaceElementWithElements, searchElementIndex, setElement, setElements, spliceStatement

Methods inherited from aowp.parser.ast.AOWP_PHPElement
__clone, __toString, getChildren, getParent, getParentContainer, getParentPropertyIndex, getParentPropertyName, initialize, kind, line, releaseInstance, setParent, setParentInfo

## Field Detail

/parser/ast/PHPMethodElement.class.php at line 23

### FINAL_MODIFER

`public final str FINAL_MODIFER = 'final'`

/parser/ast/PHPMethodElement.class.php at line 20

### PRIVATE_MODIFER

`public final str PRIVATE_MODIFER = 'private'`

/parser/ast/PHPMethodElement.class.php at line 21

### PUBLIC_MODIFER

`public final str PUBLIC_MODIFER = 'public'`

/parser/ast/PHPMethodElement.class.php at line 22

### STATIC_MODIFER

`public final str STATIC_MODIFER = 'static'`

/parser/ast/PHPMethodElement.class.php at line 36

### functionName

`public AOWP_Token $functionName`

/parser/ast/PHPMethodElement.class.php at line 31

### isReference

`public mixed $isReference`

/parser/ast/PHPMethodElement.class.php at line 30

### modifiers

`public array $modifiers`

修飾子を表す文字列の配列。

/parser/ast/PHPMethodElement.class.php at line 41

### paramaters

`public array $paramaters`

## Constructor Detail

/parser/ast/PHPMethodElement.class.php at line 43

### AOWP_PHPMethodElement

`public AOWP_PHPMethodElement(mixed _line, mixed modifiers, mixed functionName, mixed paramaters)`

## Method Detail

/parser/ast/PHPMethodElement.class.php at line 127

### __toString

`public void __toString()`

/parser/ast/PHPMethodElement.class.php at line 85

### addModifier

`public void addModifier(string modifier)`

/parser/ast/PHPMethodElement.class.php at line 52

### getClassName

`public void getClassName()`

/parser/ast/PHPMethodElement.class.php at line 69

### getMethodName

`public string getMethodName()`

/parser/ast/PHPMethodElement.class.php at line 115

### getModifiers

`public array getModifiers()`

/parser/ast/PHPMethodElement.class.php at line 73

### getParameterCount

`public void getParameterCount()`

/parser/ast/PHPMethodElement.class.php at line 76

### getParameterName

`public void getParameterName(mixed parameterIndex)`

/parser/ast/PHPMethodElement.class.php at line 123

### getParameters

`public array getParameters()`

/parser/ast/PHPMethodElement.class.php at line 131

### kind

`public void kind()`

/parser/ast/PHPMethodElement.class.php at line 95

### removeModifier

`public void removeModifier(string modifier)`

/parser/ast/PHPMethodElement.class.php at line 62

### setMethodName

`public void setMethodName(string methodName)`

/parser/ast/PHPMethodElement.class.php at line 108

### setModifiers

`public void setModifiers(mixed modifierArray, $modifierArray )`

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr